rte_mempool(3)

NAME
rte_mempool

SYNOPSIS

#include <rte_mempool.h>

  Data Fields

char name [RTE_MEMPOOL_NAMESIZE]
void * pool_config
const struct rte_memzone * mz
unsigned int flags
int socket_id
uint32_t size
uint32_t cache_size
uint32_t elt_size
uint32_t header_size
uint32_t trailer_size
unsigned private_data_size
int32_t ops_index
struct rte_mempool_cache * local_cache
uint32_t populated_size
struct rte_mempool_objhdr_list elt_list
uint32_t nb_mem_chunks
struct rte_mempool_memhdr_list mem_list

Detailed Description

The RTE mempool structure.

Definition at line 230 of file rte_mempool.h.

Field Documentation

  char name[RTE_MEMPOOL_NAMESIZE]
Name of mempool.

Definition at line 231 of file rte_mempool.h.

  void* pool_data
Ring or pool to store objects.

Definition at line 233 of file rte_mempool.h.

  uint64_t pool_id
External mempool identifier.

Definition at line 234 of file rte_mempool.h.

  void* pool_config
optional args for ops alloc.

Definition at line 236 of file rte_mempool.h.

  const struct rte_memzone* mz
Memzone where pool is alloc'd.

Definition at line 237 of file rte_mempool.h.

  unsigned int flags
Flags of the mempool.

Definition at line 238 of file rte_mempool.h.

  int socket_id
Socket id passed at create.

Definition at line 239 of file rte_mempool.h.

  uint32_t size
Max size of the mempool.

Definition at line 240 of file rte_mempool.h.

  uint32_t cache_size
Size of per-lcore default local cache.

Definition at line 241 of file rte_mempool.h.

  uint32_t elt_size
Size of an element.

Definition at line 244 of file rte_mempool.h.

  uint32_t header_size
Size of header (before elt).

Definition at line 245 of file rte_mempool.h.

  uint32_t trailer_size
Size of trailer (after elt).

Definition at line 246 of file rte_mempool.h.

  unsigned private_data_size
Size of private data.

Definition at line 248 of file rte_mempool.h.

  int32_t ops_index
Index into rte_mempool_ops_table array of mempool ops structs, which contain callback function pointers. We're using an index here rather than pointers to the callbacks to facilitate any secondary processes that may want to use this mempool.

Definition at line 256 of file rte_mempool.h.

  struct rte_mempool_cache* local_cache
Per-lcore local cache

Definition at line 258 of file rte_mempool.h.

  uint32_t populated_size
Number of populated objects.

Definition at line 260 of file rte_mempool.h.

  struct rte_mempool_objhdr_list elt_list
List of objects in pool

Definition at line 261 of file rte_mempool.h.

  uint32_t nb_mem_chunks
Number of memory chunks

Definition at line 262 of file rte_mempool.h.

  struct rte_mempool_memhdr_list mem_list
List of memory chunks

Definition at line 263 of file rte_mempool.h.

Author

Generated automatically by Doxygen for DPDK from the source code.